import {RouterModule, Routes} from '@angular/router';
import {GuestsComponent} from '../components/user-components/guests/guests.component';
import {UserDashboardComponent} from '../components/user-components/user-dashboard/user-dashboard.component';
import {PresentUserComponent} from '../components/user-components/present-user/present-user.component';
import {EventPageConfigurationComponent} from '../components/user-components/event-page-configuration/event-page-configuration.component';

export const USER_PAGE_ROUTS: Routes = [
  { path: '', redirectTo: 'dashboard', pathMatch: 'full' },
  { path: 'guests', component: GuestsComponent },
  { path: 'dashboard', component: UserDashboardComponent },
  { path: 'presents', component: PresentUserComponent },
  { path: 'event/page/configuration', component: EventPageConfigurationComponent},
];
