import {Component, Inject, Input} from '@angular/core';
import { WeddingType } from '../../../../models/wedding.type';

@Component({
  selector: 'app-invitation-card',
  standalone: true,
  imports: [],
  templateUrl: './invitation-card.component.html',
  styleUrl: './invitation-card.component.css'
})
export class InvitationCardComponent {
  wedding: WeddingType | null;

  constructor(@Inject('componentData') private data: any) {
    this.wedding = data.wedding;
  }
}
